Download it now!
Bug 34954 - Start Center redraw problems
Summary: Start Center redraw problems
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.3.1 release
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Luboš Luňák
URL:
Whiteboard:
Keywords:
: 36194 49972 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-03-02 21:21 UTC by Ian McInerney
Modified: 2014-01-19 09:03 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
The bars which appear on the dialog (43.91 KB, image/jpeg)
2011-03-02 21:21 UTC, Ian McInerney
Details
Screen capture of the problem (65.91 KB, image/png)
2011-06-26 13:58 UTC, rsimmons0
Details
Flaw in StartCenter display (79.72 KB, image/png)
2011-12-28 01:27 UTC, Olivier Hallot
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ian McInerney 2011-03-02 21:21:30 UTC
Created attachment 44053 [details]
The bars which appear on the dialog

Horizontal lines appear on the Document Creation Page when running on Fedora Core 14 on an x86_64 system. This installation was just completed using the rpm files available from the Download section of the website.

The bars appear when the mouse scrolls over the buttons, and they do not go away. Also one button may become completely grayed out if one of the creation dialog boxes is cancelled out of (for example if the database creation dialog is cancelled the Spreadsheet button may disappear).
Comment 1 Rainer Bielefeld Retired 2011-03-02 22:02:21 UTC
Not rReproducible with "LibreOffice 3.3.1  – WIN7  Home Premium  (64bit) German UI [OOO330m19 (build 8 / tag 3.3.1.2)]". Seems to be Linux specific.

I remember grey buttons in some early LibO versions, but I never saw the grey bars.

@Ian McInerney:
Can you contribut informaiton concening your graphic card?
Comment 2 Ian McInerney 2011-03-03 19:13:52 UTC
Occasionally the button will be greyed out, but only if the aforementioned case occurs, aside from that the bars appear to be pretty consistent on my system.

Output from a lspci command:

00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)

The version of X-server I am running is:
xorg-x11-server-Xorg-1.9.4-1.fc14.x86_64
and a version of Gnome:
gdm-2.32.0-1.fc14.x86_64
Comment 3 rsimmons0 2011-04-13 08:08:21 UTC
*** Bug 36194 has been marked as a duplicate of this bug. ***
Comment 4 rsimmons0 2011-04-13 08:21:09 UTC
I have this exact same problem.  I have an Acer Aspire 3680 with the same Intel chipset as you have.  I am running KDE 4.6.2a, so it's not related to the desktop env.  I think the bug is either in xf86-video-intel, or in LO itself, or both.  What version of xf86-video-intel are you using?  I'm using 2.12.0.

I have KDE related problems with this version of the driver in that I can't enable certain compositing functions of the desktop effects (KDE eye candy) without having problems with menus drawing incorrectly and other problems.  These are all documented bugs in KDE, and it seems that the new version of Kubuntu (11.4/natty) fixes them but updating to xf86-video-intel 2.14.0.  Now I know that these bugs are totally separate than this bug in LO.  However, I know that there was a major cleanup with the 2.14.0 version of the video driver.  If the LO bug still exists with that video driver version, I would tend toward the problem being in LO.  I will be able to confirm this when Natty is released later this month and I upgrade.
Comment 5 Rainer Bielefeld Retired 2011-04-13 10:46:04 UTC
Currently I can't see how many users are affected, but Start Center is the first impression a new user will get from LibO, and for some of them this impression will be devastating. If I would see such a start center using a softwaree the first time, I would uninstall it fearing that the software might be not mature at all - or at least unfit for my machine.

@Lubos:
Can you have a look, problem might be related to KDE?
Please feel free to reassign if it's not your area.
Comment 6 rsimmons0 2011-04-13 11:32:09 UTC
It is not KDE related.  The original bug reporter here is running Gnome 2.32.0 and I'm running KDE 4.6.2 and we both exhibit the same problem.

I think the problem is how Libre Office works with the intel drivers for X.org.  Both the original bug reported and I have the same video chipset and drivers. He has not replied with which version of the drivers he is running, so I don't know if we're running precisely the same environment.
Comment 7 Rainer Bielefeld Retired 2011-04-13 22:29:42 UTC
@Lubos:
Also KDE relationship more than questionable, may be you can contribute some hints?
Please feel free to reassign if it's not your area.
Comment 8 Luboš Luňák 2011-04-14 05:52:10 UTC
Can you try with a different version of the drivers?
Comment 9 Ian McInerney 2011-04-14 16:00:47 UTC
I am currently running this version of the X-server drivers, and they are the latest repository version: xorg-x11-drv-intel-2.12.0-6.fc14.1.x86_64

This is however the 2010Q2 release of the drivers so I can try updating them soon (I am currently busy with other work) to the 2011Q1. I will need to manually install the new drivers since apparently Fedora has stopped packaging new Intel releases for FC 14. I'll get back to you guys once I have done this.
Comment 10 rsimmons0 2011-04-14 17:54:23 UTC
When I upgrade to Natty 11.4 it will use the new drivers.  I will report in when that is done.  It looks like the ubuntu release date for that is in about a week.
Comment 11 sergio.callegari 2011-06-26 12:46:41 UTC
I am experiencing the same, and at the same time, I am experiencing many weird issues in drawing editing and presentations, again with gray elements appearing.

If you see this bug, can you please check if you also reproduce

https://bugs.freedesktop.org/show_bug.cgi?id=38682

or

https://bugs.freedesktop.org/show_bug.cgi?id=38681

Thanks
Comment 12 rsimmons0 2011-06-26 13:57:06 UTC
I have upgraded to Kubuntu Natty 11.04, and this bug is still here.  I now am running the xserver-xorg-video-intel (2:2.14.0-4ubuntu7) driver and KDE 4.6.4.

I am also uploading a screen shot of the problem.
Comment 13 rsimmons0 2011-06-26 13:58:14 UTC
Created attachment 48448 [details]
Screen capture of the problem
Comment 14 rsimmons0 2011-06-26 13:59:47 UTC
Also, the LibreOffice about box is the following:

LibreOffice 3.3.2 
OOO330m19 (Build:202)
tag libreoffice-3.3.2.2, Ubuntu package 1:3.3.2-1ubuntu5
Comment 15 rsimmons0 2011-09-26 10:03:04 UTC
I have replaced the machine with the intel video chipset.  This problem does not happen with my new ATI video card.

I was going to recycle the old machine, but then I realized that if one of the developers wants it, or just the motherboard so you can see the problem in action and figure out what the problem is, I would be happy to ship whatever you like to you at my expense.  You can keep the hardware when you're done with it because I have no use for it.

So, if you want a box that demonstrates this problem, I will ship it to you.
Comment 16 Olivier Hallot 2011-12-28 01:25:15 UTC
Bug Hunt

Confirming partially in 3.5 Beta2 (see image attached)

Kubuntu Oneiric

olivier@olivier-Vostro-3500:~$ sudo lspci
[sudo] password for olivier: 
00:00.0 Host bridge: Intel Corporation Core Processor DRAM Controller (rev 18)
00:01.0 PCI bridge: Intel Corporation Core Processor PCI Express x16 Root Port (rev 18)
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 18)
00:16.0 Communication controller: Intel Corporation 5 Series/3400 Series Chipset HECI Controller (rev 06)
00:1a.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 06)
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 06)
00:1c.0 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 (rev 06)
00:1c.1 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 2 (rev 06)
00:1c.2 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 3 (rev 06)
00:1c.4 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 5 (rev 06)
00:1d.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 06)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev a6)
00:1f.0 ISA bridge: Intel Corporation Mobile 5 Series Chipset LPC Interface Controller (rev 06)
00:1f.2 SATA controller: Intel Corporation 5 Series/3400 Series Chipset 6 port SATA AHCI Controller (rev 06)
00:1f.3 SMBus: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller (rev 06)
00:1f.6 Signal processing controller: Intel Corporation 5 Series/3400 Series Chipset Thermal Subsystem (rev 06)
01:00.0 VGA compatible controller: nVidia Corporation GT218 [GeForce 310M] (rev a2)
01:00.1 Audio device: nVidia Corporation High Definition Audio Controller (rev a1)
12:00.0 Network controller: Broadcom Corporation BCM4313 802.11b/g/n Wireless LAN Controller (rev 01)
13:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 03)
ff:00.0 Host bridge: Intel Corporation Core Processor QuickPath Architecture Generic Non-core Registers (rev 05)
ff:00.1 Host bridge: Intel Corporation Core Processor QuickPath Architecture System Address Decoder (rev 05)
ff:02.0 Host bridge: Intel Corporation Core Processor QPI Link 0 (rev 05)
ff:02.1 Host bridge: Intel Corporation Core Processor QPI Physical 0 (rev 05)
ff:02.2 Host bridge: Intel Corporation Core Processor Reserved (rev 05)
ff:02.3 Host bridge: Intel Corporation Core Processor Reserved (rev 05)


The video driver used in thos machine is INtel (NVIDIA is for HDMI only)
Comment 17 Olivier Hallot 2011-12-28 01:27:36 UTC
Created attachment 54880 [details]
Flaw in StartCenter display

The left and right images of the Start Center does not render. Instead, garbage from other windows are shown.

LibreOffice 3.5 Beta 2
Comment 18 Luboš Luňák 2012-01-19 07:22:01 UTC
Comments #16-17 are bug #43649.

Can somebody still reproduce the original problem?
Comment 19 rsimmons0 2012-01-19 09:57:44 UTC
Yes.  I can still reproduce the problem.  If you are going to be working on a fix, I can send you a motherboard with the video chipset that produces the problem.  It has memory and a processor, and I'll send it to whereever you are.  You can keep it too!  I no longer use it, but I've kept it around to donate to whoever digs in and wants to fix this bug.
Comment 20 Olivier Hallot 2012-03-15 17:42:11 UTC
I confirm that the issue is still present in LO 3.5.1. Nothing has evolved since comment #17.

Bug still a nuisance.
Comment 21 Rainer Bielefeld Retired 2012-05-15 23:04:18 UTC
The original summary was too limiting for all DUPlicated bugs

I wonder why this Bug with lots of confirmations was NEEDINFO? Bug 49972 confirms the problem for 3.5.3
Comment 22 Rainer Bielefeld Retired 2012-05-15 23:05:21 UTC
*** Bug 49972 has been marked as a duplicate of this bug. ***
Comment 23 bfoman (inactive) 2013-07-20 21:04:21 UTC
Is this still an issue in LibreOffice 4.1 RC 3 using latest stable versions of all other software (distro and device drivers)?
Comment 24 rsimmons0 2013-07-21 05:45:26 UTC
I still have that old motherboard somewhere.  I will check and let you know.  I'm betting that it still exists (I remember this particular bug with LibreOffice/openoffice dating back years and years without a fix.)
Comment 25 Zeki Bildirici 2014-01-18 22:00:24 UTC
Hi

3.x series had EOL. 4.2 has a new start center.

Is this bug needs to be closed?

Best regards,
Zeki
Comment 26 retired 2014-01-19 09:03:42 UTC
Agree with Zeki. If this is still an issue with 4.2.x (which I doubt, since startcenter has been written from scratch) setting to WONTFIX.

Please open a new bug-report for any glitches you encounter with the 4.2 StartCenter.

To test: http://www.libreoffice.org/download/pre-releases/